class BarcodesController < ApplicationController
  auto_complete_for :hra, :nazev

  def index
    @barcodes = Barcode.all
  end
  
  def show
    @barcode = Barcode.find(params[:id])
  end
  
  def new
    @barcode = Barcode.new(params[:barcode])
  end
  
  def create
    @hra = Hra.find_by_nazev(params[:hra][:nazev])
    @barcode = Barcode.new(params[:barcode])
    if @hra
      @barcode.kod_hry = @hra.kod
    else
      @barcode.title = params[:hra][:nazev]
    end
    if @barcode.save
      flash[:notice] = "Successfully created barcode."
      redirect_to @barcode
    else
      render :action => 'new'
    end
  end
  
  def edit
    @barcode = Barcode.find(params[:id])
  end
  
  def update
    @barcode = Barcode.find(params[:id])
    if @barcode.update_attributes(params[:barcode])
      flash[:notice] = "Successfully updated barcode."
      redirect_to @barcode
    else
      render :action => 'edit'
    end
  end
  
  def destroy
    @barcode = Barcode.find(params[:id])
    @barcode.destroy
    flash[:notice] = "Successfully destroyed barcode."
    redirect_to barcodes_url
  end

  def show_or_new
    if !params[:barcode] and params[:scanned_barcode]
      params[:barcode] = { :barcode => params[:scanned_barcode]}
    end

    @barcode =  Barcode.find(:first, :conditions => params[:barcode])

    if @barcode
      render :show
    else
      flash[:notice] = 'Neznámý čárový kód.'
      @barcode = Barcode.new(params[:barcode])
      render :new
    end
  end
end
